searchData={"items":[{"type":"module","title":"WellBehaved","doc":"A silly library that lets you use  @behave  instead of  @behaviour  (with a  use  trade-off).","ref":"WellBehaved.html"},{"type":"module","title":"Installation - WellBehaved","doc":"```elixir\ndef deps do\n  [\n    {:well_behaved, \"~> 1.0\"}\n  ]\nend\n```","ref":"WellBehaved.html#module-installation"},{"type":"module","title":"Example - WellBehaved","doc":"You can use:\n\n```elixir\ndefmodule MyModule do\n  use WellBehaved\n\n  @behave TestBehaviorA\n\n  def test_a, do: :ok\n  def function_a(arg), do: {:hello, arg}\nend\n```\n\nInstead of: \n\n```elixir\ndefmodule MyModule do\n  @behaviour TestBehaviorA\n\n  def test_a, do: :ok\n  def function_a(arg), do: {:hello, arg}\nend\n```","ref":"WellBehaved.html#module-example"},{"type":"module","title":"Why? - WellBehaved","doc":"1. [Elixir Behaviours](https://hexdocs.pm/elixir/1.4.5/behaviours.html) are super cool\n2. It uses the UK spelling\n3. Of all the UK spellings my brain accepts, *behaviour* is not one of them.\n    - Every time I sound out *be-hav-i-our* ... phonetically.\n    - [It's not even french](https://en.wiktionary.org/wiki/behavior#Etymology)","ref":"WellBehaved.html#module-why"},{"type":"extras","title":"README","doc":"A silly library that lets you use  @behave  instead of  @behaviour  (with a  use  trade-off).","ref":"readme.html"},{"type":"extras","title":"Installation - README","doc":"```elixir\ndef deps do\n  [\n    {:well_behaved, \"~> 1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Example - README","doc":"You can use:\n\n```elixir\ndefmodule MyModule do\n  use WellBehaved\n\n  @behave TestBehaviorA\n\n  def test_a, do: :ok\n  def function_a(arg), do: {:hello, arg}\nend\n```\n\nInstead of: \n\n```elixir\ndefmodule MyModule do\n  @behaviour TestBehaviorA\n\n  def test_a, do: :ok\n  def function_a(arg), do: {:hello, arg}\nend\n```","ref":"readme.html#example"},{"type":"extras","title":"Why? - README","doc":"1. [Elixir Behaviours](https://hexdocs.pm/elixir/1.4.5/behaviours.html) are super cool\n2. It uses the UK spelling\n3. Of all the UK spellings my brain accepts, *behaviour* is not one of them.\n    - Every time I sound out *be-hav-i-our* ... phonetically.\n    - It's not a borrowing [from Old French](https://en.wiktionary.org/wiki/behavior#Etymology)","ref":"readme.html#why"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}